DPKG-PRECONFIGURE(8)

NAME
dpkg-preconfigure - let packages ask questions prior to their installation

SYNOPSIS
dpkg-preconfigure [--frontend=type] [--priority=value] file.deb [file.deb ..]

DESCRIPTION
dpkg-preconfigure lets packages ask questions before they are installed. It operates on a set of debian packages, and all packages that use debconf will have their config script run so they can examine the system and ask questions.

OPTIONS

-ftype, --frontend=type
    Select the frontend to use. The default frontend can be permanently changed by:
     dpkg-reconfigure --priority=medium debconf Currently available frontends are dialog, text, and web.

-pvalue, --priority=value
    Set the lowest priority of questions you are interested in. Valid priorities are currently low, medium, high, and critical. The default priority can be permanently changed by:
     dpkg-reconfigure --priority=medium debconf Any questions with a priority below the selected priority will be ignored and their default answers will be used.

--apt
    Run in apt mode. It will expect to read a set of package filenames from stdin, rather than getting them as parameters. Typically this is used to make apt run dpkg-preconfigure on all packages before they are installed. To do this, add something like this to /etc/apt/apt.conf:
     // Pre-configure all packages before
     // they are installed.
     DPkg::Pre-Install-Pkgs {
         "dpkg-preconfigure --apt --priority=low";
     };

AUTHOR
Joey Hess <joey@kitenet.net>